curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_list_tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"page": 123,
"size": 123
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_list_tags"
payload = {
"query": "<string>",
"page": 123,
"size": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', page: 123, size: 123})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_list_tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_list_tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'page' => 123,
'size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_list_tags"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_list_tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_list_tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}"
response = http.request(request)
puts response.read_bodyList Tags
Tool name: v1_list_tags Β· Behaviour: π Read-only
List the event tags defined in the userβs Zuddl organization, paginated. Call this before v1_create_event when the user names a tag: tagNames is matched against these exactly, and tags are never created automatically, so a name that is not here is rejected. Pass q to search by name. pagination.next is non-null when another page exists β call again with the next page number until it is null.
Same as Public API: Get the organizationβs event tags (GET /v1/events/tags)
curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_list_tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"page": 123,
"size": 123
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_list_tags"
payload = {
"query": "<string>",
"page": 123,
"size": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', page: 123, size: 123})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_list_tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_list_tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'page' => 123,
'size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_list_tags"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_list_tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_list_tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"page\": 123,\n \"size\": 123\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
OAuth 2.1 access token. MCP clients obtain it themselves (dynamic client registration + PKCE) when you connect them to the server URL above.
Body
The tool's arguments, as sent in a JSON-RPC tools/call request.
Response
A JSON-RPC tools/call result. The tool's output is in content.
Was this page helpful?